summaryrefslogtreecommitdiff
path: root/dev-python/yara-python/yara-python-4.2.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-05 13:43:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-05 13:43:43 +0000
commit79a07c40c6574f5548de684884bc4dfa8a18d46f (patch)
treee5aac2e265a3b6d48e4b4cd3b4ad501c5e02005c /dev-python/yara-python/yara-python-4.2.0.ebuild
parentc5057a2c3d7be3c010fd890289ac3a0860df7887 (diff)
downloadbaldeagleos-repo-79a07c40c6574f5548de684884bc4dfa8a18d46f.tar.gz
baldeagleos-repo-79a07c40c6574f5548de684884bc4dfa8a18d46f.tar.xz
baldeagleos-repo-79a07c40c6574f5548de684884bc4dfa8a18d46f.zip
Adding metadata
Diffstat (limited to 'dev-python/yara-python/yara-python-4.2.0.ebuild')
-rw-r--r--dev-python/yara-python/yara-python-4.2.0.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/yara-python/yara-python-4.2.0.ebuild b/dev-python/yara-python/yara-python-4.2.0.ebuild
new file mode 100644
index 000000000000..8265337a20ca
--- /dev/null
+++ b/dev-python/yara-python/yara-python-4.2.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface for a malware identification and classification tool"
+HOMEPAGE="https://github.com/VirusTotal/yara-python"
+SRC_URI="https://github.com/virustotal/yara-python/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="${PYTHON_DEPS}
+ =app-forensics/yara-$(ver_cut 1-2)*"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+src_compile() {
+ compile_python() {
+ distutils-r1_python_compile --dynamic-linking
+ }
+ python_foreach_impl compile_python
+}
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}